# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# Only need manual requires for "use base XXX;" prior to rpm 4.9
%global rpm49 %(rpm --version | perl -p -e 's/^.* (\\d+)\\.(\\d+).*/sprintf("%d.%03d",$1,$2) ge 4.009 ? 1 : 0/e' 2>/dev/null || echo 0)

Name:		perl-Net-SMTP-TLS
Version:	0.12
Release:	1.%{__distinit}%{__distvers}
Summary:	An SMTP client supporting TLS and AUTH
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Net-SMTP-TLS
Source0:	https://cpan.metacpan.org/modules/by-module/Net/Net-SMTP-TLS-%{version}.tar.gz
BuildArch:	noarch
# Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module
BuildRequires:	perl(Carp)
BuildRequires:	perl(Digest::HMAC_MD5)
BuildRequires:	perl(IO::Socket::INET)
BuildRequires:	perl(IO::Socket::SSL)
BuildRequires:	perl(MIME::Base64)
BuildRequires:	perl(Net::SSLeay)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Test::More)
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Net::SMTP::TLS is a TLS and AUTH capable SMTP client, which offers an interface
that users will find familiar from Net::SMTP. Net::SMTP::TLS implements a
subset of the methods provided by that module, but certainly not a complete
mirror image of that API.

%prep
%setup -q -n Net-SMTP-TLS-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/Net/
%{_mandir}/man3/Net::SMTP::TLS.3*

%changelog
* Fri Dec 18 2020 Paul Howarth <paul@city-fan.org> - 0.12-1
- Initial RPM version
